## mx4j.tools.remote.provider.soap
Class ClientProvider

    java.lang.Object
      mx4j.tools.remote.provider.soap.ClientProvider

All Implemented Interfaces:
  javax.management.remote.JMXConnectorProvider

public class ClientProvider
extends java.lang.Object
implements javax.management.remote.JMXConnectorProvider

SOAP Connector Client Provider

Version:
  $Revision: 1.6 $

Constructor Summary
`ClientProvider()`

Method Summary
`javax.management.remote.JMXConnector` `newJMXConnector(javax.management.remote.JMXServiceURL url, java.util.Map environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientProvider

    public ClientProvider()

Method Detail

### newJMXConnector

    public javax.management.remote.JMXConnector newJMXConnector(javax.management.remote.JMXServiceURL url,
                                                                java.util.Map environment)
                                                         throws java.io.IOException

  Specified by:
    `newJMXConnector` in interface `javax.management.remote.JMXConnectorProvider`
  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.